basic:
  # true|false, with debug level, it prints more debug info
  debug: false
  # true|false, if it's set to true, then the log will be print to console
  consoleLog: false
  # true|false, if it's set to true, then the log will be print to log file
  fileLog: true
  # CLI port
  port: 20498
  # REST service port
  restPort: 9081
  #  restTls:
  #    certfile: /var/https-server.crt
  #    keyfile: /var/https-server.key
  # Prometheus settings
  prometheus: false
  prometheusPort: 20499
  # The URL where hosts all of pre-build plugins. By default it's at packages.emqx.io
  # There could be several hosts (host can be separated with comma), if same package could be found in the several hosts,
  # then the package in the 1st host will have the highest priority.
  pluginHosts: https://packages.emqx.io

# The default options for all rules. Each rule can override this setting by defining its own option
rule:
  # The qos of the rule. The values can be 0: At most once; 1: At least once; 2: Exactly once
  # If qos is bigger than 0, the checkpoint mechanism will launch to save states so that they can be
  # restored for unintended interrupt or planned restart of the rule. The performance may be affected
  # to enable the checkpoint mechanism
  qos: 0
  # The interval in millisecond to run the checkpoint mechanism.
  checkpointInterval: 300000

sink:
  # The cache persistence threshold size. If the message in sink cache is larger than 10, then it triggers persistence. If you find
  # the remote system is slow to response, or sink throughput is small, then it's recommend to increase below 2 configurations.
  # More memory is required with the increase of below 2 configurations.
  # If the message count reaches below value, then it triggers persistence.
  cacheThreshold: 10
  # The message persistence is triggered by a ticker, and cacheTriggerCount is for using configure the count to trigger the persistence procedure
  # regardless if the message number reaches cacheThreshold or not. This is to prevent the data won't be saved as the cache never pass the threshold.
  cacheTriggerCount: 15

  # Control to disable cache or not. If it's set to true, then the cache will be disabled, otherwise, it will be enabled.
  disableCache: false
